from machine import Pin, I2C
from utime import sleep

from bmp280_i2c import BMP280I2C

import ahtx0

i2c0_sda = Pin(8)
i2c0_scl = Pin(9)
i2c0 = I2C(0, sda=i2c0_sda, scl=i2c0_scl, freq=400000)
bmp280_i2c = BMP280I2C(0x77, i2c0)  # address may be different

sensor = ahtx0.AHT10(i2c0)

while True:
    readout = bmp280_i2c.measurements
    print("\nTemperature: %0.2f °C" % sensor.temperature)
    print("Humidity: %0.2f %%" % sensor.relative_humidity)
    print(f"Pressure: {readout['p']} hPa")
#    print(f"Temperature: {readout['t']} °C, pressure: {readout['p']} hPa.")    
    sleep(5)